
{
  gROOT->Reset();

  // open the files

  gStyle-> SetOptStat(1);

  TFile* file = new TFile("RootFile.root");
  
// create the histograms from the simulation data

  file->cd();

  TTree* singlestree = (TTree*)gDirectory->Get("Singles");
  TTree* hitstree = (TTree*)gDirectory->Get("Hits");

  Float_t energy;
  Float_t  globalPosX;
  Float_t  globalPosY;
  Float_t  globalPosZ;
  Float_t  sourcePosZ;
  Float_t  sourcePosX;
  Float_t  sourcePosY;
  Int_t runID;
  Int_t eventID;
  Int_t sourceID;
  
  Float_t  localPosX;
  Float_t  localPosY;
  Float_t  localPosZ;
  Float_t  posZ;
  Float_t  posX;
  Float_t  posY;
  Float_t  sourcePosZ_hits;
  Float_t  sourcePosX_hits;
  Float_t  sourcePosY_hits;
  Int_t runID_hits;
  Int_t eventID_hits;
  Int_t sourceID_hits;
  Int_t trackID;

  singlestree->SetBranchAddress("globalPosX",&globalPosX);
  singlestree->SetBranchAddress("globalPosY",&globalPosY);
  singlestree->SetBranchAddress("globalPosZ",&globalPosZ);
  singlestree->SetBranchAddress("sourcePosX",&sourcePosX);
  singlestree->SetBranchAddress("sourcePosY",&sourcePosY);
  singlestree->SetBranchAddress("sourcePosZ",&sourcePosZ);
  singlestree->SetBranchAddress("runID", &runID);
  singlestree->SetBranchAddress("eventID", &eventID);
  singlestree->SetBranchAddress("sourceID", &sourceID);
  singlestree->SetBranchAddress("energy", &energy);

  hitstree->SetBranchAddress("localPosX",&localPosX);
  hitstree->SetBranchAddress("localPosY",&localPosY);
  hitstree->SetBranchAddress("localPosZ",&localPosZ);
  hitstree->SetBranchAddress("posX",&posX);
  hitstree->SetBranchAddress("posY",&posY);
  hitstree->SetBranchAddress("posZ",&posZ);
  hitstree->SetBranchAddress("sourcePosX",&sourcePosX_hits);
  hitstree->SetBranchAddress("sourcePosY",&sourcePosY_hits);
  hitstree->SetBranchAddress("sourcePosZ",&sourcePosZ_hits);
  hitstree->SetBranchAddress("runID", &runID_hits);
  hitstree->SetBranchAddress("eventID", &eventID_hits);
  hitstree->SetBranchAddress("sourceID", &sourceID_hits);
  hitstree->SetBranchAddress("trackID", &trackID);

 // TH1F* spectrum  = new TH1F("spectrum", "Energy spectrum", 100, 0, 3500);
 // TH2F* h = new TH2F ("h", "h", 10, -5, 5, 10, -5, 5);
 
  //  TH2F* Photonenverteilung = new TH2F("Photonenverteilung", "Photonenverteilung", 130, -6.5, +6.5, 130, -6.5, +6.5);
  //  TH2F* h = new TH2F ("h", "h", 4, -6.5, +6.5, 4, -6.5, +6.5);

  Int_t nsingles  = singlestree-> GetEntries();
  Int_t nhits = hitstree-> GetEntries();

     cout << endl;
     cout << " nsingles: " << nsingles << endl;
     cout << " nhits: " << nhits << endl;

  for (Int_t i = 0; i < nsingles; i++)
 {
   singlestree->GetEntry(i);
   if (i <= 1) {
     cout << endl;
     cout << " i: " << i << endl;
     cout << " ---------- " << " runID: " << runID << " eventID " << eventID << " energy " << energy << endl;
     cout << " positions source  " << sourcePosX << " " << sourcePosY << " " << sourcePosZ << endl;
	 cout << " positions global  " << globalPosX << " " << globalPosY << " " << globalPosZ << endl;

   for (Int_t h = 0; h < nhits; h++)
 {
   hitstree->GetEntry(h);
   if (runID == runID_hits && eventID == eventID_hits) {
     cout << " h: " << h << endl;
     cout << " runID_Hits: " << runID_hits << " eventID_hits " << eventID_hits << " trackID " << trackID << " " << posX << " " << posY << " " << posZ <<endl;
   }
   
   }
 }
}
}
